Page MenuHomeFreeBSD

graphics/sxiv: Update to v26
ClosedPublic

Authored by 0mp on Feb 11 2020, 9:43 AM.

Details

Summary
graphics/sxiv: Update to v26

Changes:
- Set LICENSE_FILE.
- Update LIB_DEPENDS.
- Install icons and a desktop file.
- Remove the local patches and use MAKE_ARGS instead.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244040

Test Plan
  • portfmt, portlint, portclippy
  • Poudriere builds ok.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Feb 11 2020, 9:43 AM
0mp edited the summary of this revision. (Show Details)Feb 11 2020, 9:45 AM
0mp updated this revision to Diff 68111.Feb 11 2020, 10:51 AM
  • Enable libinotify support
mat added inline comments.Feb 12 2020, 2:22 PM
graphics/sxiv/Makefile
18 ↗(On Diff #68111)

Add the new lib to a new line.

28–37 ↗(On Diff #68111)

This is getting too long and should be in a pkg-plist file.

0mp updated this revision to Diff 68192.Feb 12 2020, 4:12 PM
  • Lint file
  • Create pkg-plist
This revision was not accepted when it landed; it landed in state Needs Review.Feb 27 2020, 12:54 AM
Closed by commit rP527233: graphics/sxiv: Update to v26 (authored by 0mp). · Explain Why
This revision was automatically updated to reflect the committed changes.